Subject: Re: bug#41559: texmathp reports false negatives

From: TEC <[email-masked]>
Date: Thu, 28 May 2020 11:23:57 +0800

Ikumi Keita <[email-masked]> writes: 
 
> It doesn't reproduce on my side. I saved a file with the 
> contents 
> ---------------------------------------------------------------------- 
> #+BEGIN_EXPORT latex \(a\) #+END_EXPORT 
> 
> #+BEGIN_EXPORT latex \[ 
>    a 
> \] #+END_EXPORT 
> ---------------------------------------------------------------------- 

It may be worth clarifying that in those examples I created two 
blank buffers
with the given text as the only contents.

> and evaluated (texmathp) by M-: at each position before "a". 
> Both returned t for me. 

Interesting though. Assuming you did the same as me, this directly 
contradicts
with my results. I'm on
 - AucTeX 12.2.0 (fafa28d)
 - Emacs 26.3
 - Linux 5.6.13

Whether I put mu cursor before or after a latex-mode buffer simply 
containing
\(a\) I find (texmathp) returns nil.
 
> Regards, Ikumi Keita 
 
Thanks for testing, hopefully the extra details may help better 
identify the issue.

Timothy.